- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CDLLLoader Class Reference

List of all members.

## Detailed Description

Loads a Dll and provides access to functions.

Date:
  25/09/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Removed virtual calls

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CDLLLoader.hpp,v 1.6 2007/02/08 21:06:44 paul Exp

Definition at line 31 of file CDLLLoader.hpp.

## Public Member Functions

- CDLLLoader (const CString &dllName)
- CDLLLoader ()
- CFBundleRef getDllHandle () const
- HMODULE getDllHandle () const
- void * getFunction (const CString &functionName)
- void loadDLL (const CString &dllName)
- void unloadDLL ()
- virtual ~CDLLLoader ()

## Protected Attributes

- CFBundleRef m_dllHandle
- HMODULE m_dllHandle
- CString m_dllName

## Constructor & Destructor Documentation

Exponent::Host::CDLLLoader::CDLLLoader | ( |  | ) |

Construction

Exponent::Host::CDLLLoader::CDLLLoader | ( | const CString & | dllName | ) |

Construction

Parameters:

  | dllName | Path to the DLL

Exceptions:

  | CException |

virtual Exponent::Host::CDLLLoader::~CDLLLoader | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

CFBundleRef Exponent::Host::CDLLLoader::getDllHandle | ( |  | ) | const`[inline]`

Get the module handle

Return values:

  | CFBundleRef | The DLL Handle

Definition at line 100 of file CDLLLoader.hpp.

References m_dllHandle.

HMODULE Exponent::Host::CDLLLoader::getDllHandle | ( |  | ) | const`[inline]`

Get the module handle

Return values:

  | HMODULE | The DLL Handle

Definition at line 92 of file CDLLLoader.hpp.

References m_dllHandle.

void* Exponent::Host::CDLLLoader::getFunction | ( | const CString & | functionName | ) |

Get a function

Parameters:

  | functionName | The name of the function to load

Return values:

  | void* | A pointer to the function

void Exponent::Host::CDLLLoader::loadDLL | ( | const CString & | dllName | ) |

Load a module

Parameters:

  | dllName | Path to the DLL

Exceptions:

  | CException |

void Exponent::Host::CDLLLoader::unloadDLL | ( |  | ) |

Unload a module

## Member Data Documentation

CFBundleRef Exponent::Host::CDLLLoader::m_dllHandle`[protected]`

The bundle reference;

Definition at line 119 of file CDLLLoader.hpp.

HMODULE Exponent::Host::CDLLLoader::m_dllHandle`[protected]`

Handle to the dll

Definition at line 115 of file CDLLLoader.hpp.

Referenced by getDllHandle().

CString Exponent::Host::CDLLLoader::m_dllName`[protected]`

Name of current DLL

Definition at line 111 of file CDLLLoader.hpp.